%global pkgname django-simple-captcha
%global obs_ver 0.3.0-2

Summary:	Django application to add captcha images to any Django form
Name:		python-django-simple-captcha
Version:	0.5.6
Release:	7%{?dist}
License:	MIT
URL:		https://github.com/mbi/django-simple-captcha
Source:		https://github.com/mbi/%{pkgname}/archive/v{%version}.tar.gz#/%{pkgname}-%{version}.tar.gz
BuildArch:	noarch


BuildRequires:	gettext

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools


%global _description\
Django Simple Captcha is an extremely simple, yet highly customizable\
Django application to add captcha images to any Django form

%description %_description

%package -n python3-%{pkgname}
Summary:	Django application to add captcha images to any Django form

Requires:   python3-django
Requires:   python3-six
Requires:   flite

Obsoletes:  python2-%{pkgname} < 0.5.6-3
Obsoletes:  python-%{pkgname} < 0.5.6-3

%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname} %_description


%prep
%setup -q -n %{pkgname}-%{version}

# prevent pre-build egg-info in final package
rm -rf django_simple_captcha.egg-info

%build
%py3_build

%install
%py3_install


%files -n python3-%{pkgname}
%doc LICENSE MANIFEST.in
%{python3_sitelib}/captcha/
%{python3_sitelib}/django_simple_captcha-%{version}-py3*

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.5.6-4
- Rebuilt for Python 3.7

* Mon Feb 12 2018 Miro Hrončok <mhroncok@redhat.com> - 0.5.6-3
- Removed Python 2 subpackage for https://fedoraproject.org/wiki/Changes/Django20

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Matthias Runge <mrunge@redhat.com> - 0.5.6-1
- update to 0.5.6
- fix requirements to python2 and python2-django

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.5-7
- Python 2 binary package renamed to python2-django-simple-captcha
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.4.5-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 27 2015 Jakub Dorňák <jdornak@redhat.com> - 0.4.5-1
- update to 0.4.5 (with Django migrations)

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Apr 07 2014 Matthias Runge <mrunge@redhat.com> - 0.4.2-1
- update to 0.4.2
- add py3 support (rhbz#1045894)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 23 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.3.3-1
- update to 0.3.3
- fixed missing requirements

* Fri Mar 23 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.3.0-3
- minor spec cleanup

* Wed Mar 14 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.3.0-2
- rename package to python-django-simple-captcha

* Fri Jan 27 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.3.0-1
- new version

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 20 2010 Dave Riches <dcr226@fedoraproject.org> - 0.2.0-4
- fixed description

* Wed Oct 20 2010 Dave Riches <dcr226@fedoraproject.org> - 0.2.0-3
- Fixed summary

* Wed Oct 20 2010 Dave Riches <dcr226@fedoraproject.org> - 0.2.0-2
- fixed folder permissions

* Wed Oct 20 2010 Dave Riches <dcr226@fedoraproject.org> - 0.2.0-1
- Packaged version 0.2.0

* Sat Aug 21 2010 Dave Riches <dcr226@fedoraproject.org> - 0.1.7-1
- packaged for Fedora 12/13/14

